Subject: bug#78737: sit-for behavior changes when byte-compiled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jun 2025 14:11:56 +0300

> Date: Sat, 14 Jun 2025 06:54:58 -0400
> From: Daniel Colascione <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> >Pushing quitting to the application level is not something that will
> >be appreciated by Lisp programmers, I think.
> 
> We've been pushing quitting to applications for decades when these applications use the higher level input reading functions. Check out how we do it in, e.g. calc. I haven't seen any objections.

I know, but these arguments don't work when applications that didn't
do that in the past are suddenly required to do it.  What Calc does is
intentional, so why would we expect any objections in those cases?
Objections will come when code which didn't need to do this will be
required to do so.